Run in Apidog
Updates a grade in your company.name and seniorityLevel replace the current values, so always send both. Each must be unique in your company. The name is saved in upper case.description, expLevelFrom and expLevelTo are changed only when sent with a value.
Request Body Params application/json Required
{
"name" : "L3" ,
"seniorityLevel" : 3 ,
"description" : "Middle management" ,
"expLevelFrom" : "5" ,
"expLevelTo" : "8"
} Request Code Samples
curl --location --request PATCH 'https://ekpayout-uat.enkash.in/api/v0/partner/grade/' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
"name": "L3",
"seniorityLevel": 3,
"description": "Middle management",
"expLevelFrom": "5",
"expLevelTo": "8"
}' Responses
{
"response_code" : 0 ,
"response_message" : "SUCCESS" ,
"payload" : {
"gradeCode" : "GRADE003" ,
"name" : "L3" ,
"seniorityLevel" : 3 ,
"description" : "Middle management" ,
"expLevelFrom" : "5" ,
"expLevelTo" : "8" ,
"status" : "ACTIVE" ,
"designations" : [
{
"code" : "DESIG001" ,
"name" : "AREA SALES MANAGER"
}
]
}
}
Modified at 2026-11-13 07:59:42